/*  SIMUL.H  */
/*          Copyright 1995 by Ethan Brodsky.  All right reserved.           */

#define TRUE  1
#define FALSE 0

typedef unsigned char BYTE;

extern int  init_sb(int base_io, int irq, int dma_8, int dma_16, int rate);
extern void shutdown_sb(void);

extern void set_blocklength(int block_length);

extern void get_buffers(void);
extern void free_buffers(void);

extern void install_handler_8(void (far *handler)());
extern void install_handler_16(void (far *handler)());

extern void start_input16(void);
extern void start_output8(void);

extern void stop_sound(void);

extern volatile long intcount;
extern volatile long intcount_8;
extern volatile long intcount_16;

extern volatile int error;

extern int curblock_8;
extern int curblock_16;

extern unsigned char far *blockptr_8[2];
extern unsigned char far *buf_8;

extern signed short far *blockptr_16[2];
extern signed short far *buf_16;

/*  */
